Subject: Re: [PATCH] cvsimport move over to using git for each ref to read refs

From: Jakub Narebski <[email-masked]>
Date: Wed, 20 Sep 2006 11:23:02 +0200

Andy Whitcroft wrote:

> +       open(H, "git-for-each-ref --format='%(objectname) %(refname)'|") or

By the way, this is equivalent to using "git-show-ref" introduced by Linus.
But if you want commit timestamp

> cvsimport opens all of the files in $GIT_DIR/refs/heads and reads
> out the sha1's in order to work out what time the last commit on
> that branch was made (in CVS) thus allowing incremental updates.

you can use it in --format as well.

-- 
Jakub Narebski
Warsaw, Poland
ShadeHawk on #git